Bug 79569 - CRASH after undoing multi-line cell merge
Summary: CRASH after undoing multi-line cell merge
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: highest major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.1 target:4.3....
Keywords: haveBacktrace
Depends on:
Blocks: Writer-Tables Undo-Redo mab4.3
  Show dependency treegraph
 
Reported: 2014-06-03 00:40 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-08-10 10:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
windows backtrace (1.28 KB, application/x-zip-compressed)
2014-06-05 21:04 UTC, Yousuf Philips (jay) (retired)
Details
backtrace taken from linux (3.06 KB, application/zip)
2014-06-05 22:31 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-03 00:40:53 UTC
When testing attachment 96415 [details] for bug 76636, i noticed that if you merge the cell with 'punteggio per corso (valutazione singola)' in it with the empty cell to its right and then press undo, LibO will crash.

Tested on Windows 7 and Linux Mint in the latest releases from 3.6 to 4.2 and 4.3 beta.
Comment 1 Jorendc 2014-06-03 21:29:14 UTC
Repro, tested using Version: 4.4.0.0.alpha0+
Build ID: b447687292334687a371b66d7ad56ba9662b898e
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-03_06:24:04
Comment 2 Yousuf Philips (jay) (retired) 2014-06-05 21:04:22 UTC
Created attachment 100489 [details]
windows backtrace
Comment 3 Yousuf Philips (jay) (retired) 2014-06-05 22:31:44 UTC
Created attachment 100494 [details]
backtrace taken from linux

linux backtrace
Comment 4 Björn Michaelsen 2014-08-21 12:21:10 UTC Comment hidden (obsolete)
Comment 5 Timur 2014-11-18 19:40:47 UTC
Changed version at least to 3.5.7.2. 
Added to MAB 4.2.
Comment 6 tommy27 2014-11-18 20:34:05 UTC
same crash under Win7x64 using LibO 3.3.3 and 4.4.0.0 alpha2
same crash with OOo 3.3.0 and AOO 4.1.0 as well, hence the bug is inherited from OOo
Comment 7 Björn Michaelsen 2014-11-28 09:45:23 UTC Comment hidden (obsolete)
Comment 8 tommy27 2014-12-05 22:57:33 UTC
still a crasher under Win8.1 x64 using  4.5.0.0.alpha0+
Build ID: f20043a0805c3a75eb4024ed59f45291aea93ac0
TinderBox: Win-x86@39, Branch:master, Time: 2014-12-03_01:16:50

moving bug to mab4.3 list since 4.2.x is END OF LIFE
Comment 9 Commit Notification 2015-02-13 10:34:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=21796a5fb92fd9773017b782a654a8b5a190cc66

Resolves: tdf#79569 crash undoing tricky cell merge

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-02-13 11:37:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f8d3cec9a99edd29d8780f3bc5f0cc9764e9c8e5&h=libreoffice-4-4

Resolves: tdf#79569 crash undoing tricky cell merge

It will be available in 4.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-02-13 11:44:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b273a7b723d95f5feabf79b6e8a83beead1ce1bf&h=libreoffice-4-3

Resolves: tdf#79569 crash undoing tricky cell merge

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-02-20 12:17:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dd925ae885eea0fa84730196d4df64ca9b9584d1&h=libreoffice-4-4-1

Resolves: tdf#79569 crash undoing tricky cell merge

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2018-04-07 09:51:53 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bd027e17f3656ab65548126ed6d7e309818eae7

uitest for bug tdf#79569

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2018-08-10 10:26:28 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc634e9d2c1fe79228c94a1a92fc6cb5be57b659

Revert "uitest for bug tdf#79569"

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.